Library Version 18.1.40

set_bulk_buffer
Prev | Chapter 15. Db_map_base_iterator | Next

## set_bulk_buffer

### Function Details

    bool set_bulk_buffer(u_int32_t sz)

Modify bulk buffer size.

Bulk read is enabled when creating an iterator, so users later can only modify the bulk buffer size to another value, but can't enable/disable bulk read while an iterator is already alive.

#### Parameters

##### sz

The new size of the bulk read buffer of this iterator.

#### Return Value

Returns true if succeeded, false otherwise.

#### See Also

db_base_iterator::set_bulk_buffer(u_int32_t )

### Class

db_map_base_iterator

Prev | Up | Next
move_to | Home | get_bulk_bufsize